cc.funkemunky.api.tinyprotocol.packet.in

## Enum WrappedInWindowClickPacket.ClickType

- java.lang.Object
- - java.lang.Enum<WrappedInWindowClickPacket.ClickType>
  - - cc.funkemunky.api.tinyprotocol.packet.in.WrappedInWindowClickPacket.ClickType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedInWindowClickPacket.ClickType>

Enclosing class:
  WrappedInWindowClickPacket

    public static enum WrappedInWindowClickPacket.ClickType
    extends java.lang.Enum<WrappedInWindowClickPacket.ClickType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTROL_DROP`
`CREATIVE`
`DOUBLE_CLICK`
`DRAG`
`DROP`
`LEFT`
`MIDDLE`
`NUMBER_KEY`
`RIGHT`
`SHIFT_LEFT`
`SHIFT_RIGHT`
`UNKNOWN`
`WINDOW_BORDER_LEFT`
`WINDOW_BORDER_RIGHT`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `isCreativeAction()`
`boolean` `isKeyboardClick()`
`boolean` `isLeftClick()`
`boolean` `isRightClick()`
`boolean` `isShiftClick()`
`static WrappedInWindowClickPacket.ClickType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedInWindowClickPacket.ClickType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT

    public static final WrappedInWindowClickPacket.ClickType LEFT

#### SHIFT_LEFT

    public static final WrappedInWindowClickPacket.ClickType SHIFT_LEFT

#### RIGHT

    public static final WrappedInWindowClickPacket.ClickType RIGHT

#### SHIFT_RIGHT

    public static final WrappedInWindowClickPacket.ClickType SHIFT_RIGHT

#### WINDOW_BORDER_LEFT

    public static final WrappedInWindowClickPacket.ClickType WINDOW_BORDER_LEFT

#### WINDOW_BORDER_RIGHT

    public static final WrappedInWindowClickPacket.ClickType WINDOW_BORDER_RIGHT

#### MIDDLE

    public static final WrappedInWindowClickPacket.ClickType MIDDLE

#### NUMBER_KEY

    public static final WrappedInWindowClickPacket.ClickType NUMBER_KEY

#### DOUBLE_CLICK

    public static final WrappedInWindowClickPacket.ClickType DOUBLE_CLICK

#### DROP

    public static final WrappedInWindowClickPacket.ClickType DROP

#### CONTROL_DROP

    public static final WrappedInWindowClickPacket.ClickType CONTROL_DROP

#### CREATIVE

    public static final WrappedInWindowClickPacket.ClickType CREATIVE

#### DRAG

    public static final WrappedInWindowClickPacket.ClickType DRAG

#### UNKNOWN

    public static final WrappedInWindowClickPacket.ClickType UNKNOWN

### Method Detail

#### values

    public static WrappedInWindowClickPacket.ClickType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedInWindowClickPacket.ClickType c : WrappedInWindowClickPacket.ClickType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedInWindowClickPacket.ClickType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### isKeyboardClick

    public boolean isKeyboardClick()

#### isCreativeAction

    public boolean isCreativeAction()

#### isRightClick

    public boolean isRightClick()

#### isLeftClick

    public boolean isLeftClick()

#### isShiftClick

    public boolean isShiftClick()